#ifndef CDATA_READER_HH
#define CDATA_READER_HH

#include "global.hh"

#include "user.hh"

class Cdata_reader
{
public:
  Cdata_reader()
  {
    m_number_of_data = 0;
    m_number_of_word = 0;

    m_data_buf = new int[NUMBER_OF_DATA];
    m_data = new data_t[NUMBER_OF_DATA * DATA_SIZE/2];
  }
  ~Cdata_reader(){
    delete [] m_data_buf;
    delete [] m_data;
  }

public:  
  int read_in_one_line(Cfile* file);
  int get_number_of_word();
  int get_data(data_t& data, int i);
private:
  int check_comment();
  int count_number_of_word(size_t size);
  int convert_data_to_data_t(size_t size);

  char m_buf[BLOCK_SIZE];
  int* m_data_buf;
  data_t* m_data;
  int m_number_of_data;
  int m_number_of_word;
};

#endif
